% Created 2012-Jan-15
% Written by Fu Lin
% Draw the communication graphs.
% inputs: position information and the indices of neighboring nodes.

function drawgraph(pos,idx)

% plot the graph where links indicate the neighbors
figure
hold on

% draw the links
ii = sqrt(-1);
for k = 1 : max(size(idx))
    i = idx(1,k);
    j = idx(2,k);    
    plot( [pos(i,1) + ii*pos(i,2), pos(j,1) + ii*pos(j,2)], 'r', 'LineWidth', 1 );
end

% draw the nodes
plot( pos(:,1) + pos(:,2)*sqrt(-1),'o','LineWidth',2,'MarkerSize',10)
hold off;
h = get(gcf,'CurrentAxes');
set(h, 'FontName', 'cmr10', 'FontSize', 18)    

