% Created 2010-Sep-22
% Written by Fu Lin
% Generate incidence matrix for given edge set.
% input: a two-row vector of the edge set
% output: incidence matrix E

function E = incmat(idx,N)

% the number of nodes
if nargin == 2
    nv = N;
else
    nv = max(max(idx));
end

% the number of edges
ne = size(idx,2);

E = zeros(nv,ne);

for i = 1:ne
    E(idx(1,i),i) = 1;
    E(idx(2,i),i) = -1;
end
